Page MenuHomePhabricator

add Notifications for course page events
Closed, DeclinedPublic

Description

Notifications integration would be a great addition to the course page features.

Here's my take on Notifications that would be useful, in order of impact:

Student article (or talk page) is edited: notify student working on that article, notify reviewers for that article

Course talk page is edited: notify instructors, volunteers, all students

Student enrolls: notify instructors, volunteers

Student is enrolled by instructor: notify student (and volunteers and any other instructors)

Student adds article: notify instructors, volunteers

Article is added to student by instructor: notify (other) instructors, volunteers, and student

Student article is created: notify instructors, volunteers, (maybe) all students

Student article is deleted: notify instructors, volunteers, student working on that article, reviewers for that article


Version: master
Severity: enhancement

Details

Reference
bz56325

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:18 AM
bzimport set Reference to bz56325.
Ragesoss created this task.Oct 29 2013, 4:53 PM

Change 105147 had a related patch set uploaded by AndyRussG:
Notifications for course talk page edits

https://gerrit.wikimedia.org/r/105147

Change 105147 merged by jenkins-bot:
Notifications for course talk page edits

https://gerrit.wikimedia.org/r/105147

A single Notification is now enabled (for when course talk pages are edited). The other suggested Notifications would still be useful enhancements.

Change 112304 abandoned by AndyRussG:
This is a test commit with a period

Reason:
This was a test, deleting

https://gerrit.wikimedia.org/r/112304

One more useful Notification concept that could be implemented: course mentions.

Similar to Mention notifications for usernames, when a link to a course page is created in a discussion, notify all the instructors and volunteers for that course of the mention.

(In reply to Sage Ross from comment #0)

Student article (or talk page) is edited: notify student working on that
article, notify reviewers for that article
Course talk page is edited: notify instructors, volunteers, all students [...]
Student article is created: notify instructors, volunteers, (maybe) all
students
Student article is deleted: notify instructors, volunteers, student working
on that article, reviewers for that article

Sage, can you clarify what are your requirements for "notify"? As I said on the patch, «the objective you state would be satisfied by adding the page to watchlist and enabling the relevant enotif preferences». Any reason why enotif doesn't suffice?

andrew.green.df wrote:

Hi Nemo, thanks for looking at this! EducationProgram extension notifications use the standard notification system. I'm sure Sage will have more to say about this, but one advantage is that they're hooked in to course enrollment and (in the case of jlloyd's patch) article assignments, so messages get to students quickly. Also the icons used distinguish the notifications as course-related.

(In reply to Andrew Green from comment #7)

Hi Nemo, thanks for looking at this! EducationProgram extension
notifications use the standard notification system. [...]

So, is this already implemented and live? (ie. can this bug be closed, or is there more work to be done?)

It looks like the message text is already in place, at https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FEducationProgram/HEAD/i18n%2Fen.json
(Good timing, because I'm checking/updating/auditing the Echo messages this week :)

andrew.green.df wrote:

It's been going in parts. Two are live:

Notify on edits to course talk pages
https://gerrit.wikimedia.org/r/#/c/105147/

Notify when a user is added to a course
https://gerrit.wikimedia.org/r/#/c/113145/

One is in review:

Notify edits to assigned articles and their talk pages
https://gerrit.wikimedia.org/r/#/c/118101/

There are more that are mentioned here that haven't been started.

(In reply to Andrew Green from comment #7)

Hi Nemo, thanks for looking at this! EducationProgram extension
notifications use the standard notification system.

You appear to be rather confused. The standard notification system is MediaWiki core's enotif. You can learn about it in the documentation, [[m:Help:Enotif]].

@Nemo: The intent behind this bug in general, and the latest patch in particular, is to use Notifications (ie, Echo) to highlight particularly relevant wiki activity for people using the course page system.

In the case of the latest patch, if a student has signed up on a course page to work on a specific article, then they will want to be aware of any changes to that article. While watchlists and enotif have some similar functionality, the watchlist is a tool that is not often used by students, and if a user does not have enotif enabled, they will not see any activity unless they actively visit their watchlist. Using Notifications instead, the relevant activity will be 'pushed' to them whenever they visit any page on Wikipedia.

@Quiddity: Per Andrew, two notification types are live, one hopefully is coming soon. Another (course mentions) may be on the agenda soon. I guess this is more of a tracking bug.

andrew.green.df wrote:

Thanks Sage!

(In reply to Nemo from comment #10)

EducationProgram extension
notifications use the standard notification system.

You appear to be rather confused. The standard notification system is
MediaWiki core's enotif.

Hmmm, you're right, I was confused. Sorry!!

There is still an open patch associated to this report, at https://gerrit.wikimedia.org/r/#/c/118101/ . Now that we went a more minimalistic way with the WikiEduDashboard etc., I wonder if this feature request can be declined/repurposed, to focus on exploiting MediaWiki core/s watchlisting (with enotif and other notification systems hooked into it).

Reedy closed this task as Declined.Sep 25 2018, 11:11 PM
Reedy added a subscriber: Reedy.

Extension is being removed and archived.